# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(DateTime/Math/bigfloat.pl) perl(DateTime/Math/bigint.pl) perl(Exporter.pm) perl(overload.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-DateTime-Precise
Version:        1.05
Release:        alt1_18

Summary:        Perform common time and date operations with additional GPS operations

Group:          Development/Perl
License:        Public Domain
URL:            http://search.cpan.org/dist/DateTime-Precise
Source0:        http://search.cpan.org/CPAN/authors/id/B/BZ/BZAJAC/DateTime-Precise-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)

%{echo 
%filter_from_provides /perl.bigfloat.pm./d
%filter_from_provides /perl.bigint.pm./d
%filter_from_requires /perl.DateTime.Math\/bigfloat.pl.pm./d
%filter_from_requires /perl.DateTime.Math\/bigint.pl.pm./d

}


Source44: import.info

%description
The purpose of this library was to replace our dependence on Unix epoch time,
which, being limited to a range of about 1970 to 2030, is inadequate for our
purposes (we have data as old as 1870). This date library effectively handles
dates from A.D. 1000 to infinity, and would probably work all the way back to 0
(ignoring, of course, the switch-over to the Gregorian calendar). The useful
features of Unix epoch time (ease of date difference calculation and date
comparison, strict ordering) are preserved, and elements such as
human-legibility are added. The library handles fractional seconds and some
date/time manipulations used for the Global Positioning Satellite system.


%prep
%setup -q -n DateTime-Precise-%{version}


%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%files
%doc CHANGES README
%{perl_vendor_privlib}/*


%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1_18
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1_17
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1_15
- fc import

